INTELLIGENT WORK FORUMS
FOR COMPUTER PROFESSIONALS

Log In

Come Join Us!

Are you a
Computer / IT professional?
Join Tek-Tips Forums!
  • Talk With Other Members
  • Be Notified Of Responses
    To Your Posts
  • Keyword Search
  • One-Click Access To Your
    Favorite Forums
  • Automated Signatures
    On Your Posts
  • Best Of All, It's Free!

*Tek-Tips's functionality depends on members receiving e-mail. By joining you are opting in to receive e-mail.

Posting Guidelines

Promoting, selling, recruiting, coursework and thesis posting is forbidden.

Jobs

Pervasive Client Versions

Pervasive Client Versions

(OP)
Howdy All -

I'm in a little bit of a bind.  We use terminal servers for our application and I've outgrown my existing TS infastructure.  I'm in the process of upgrading both my TS servers and my Pervasive DB server.   The PLAN is when we go to the new Pervasive DB server to run 64-bit Windows 2008 and I've purchased Pervasive 10 64bit.   Reaslicatially, I can't do the database conversions until June.

I need to bring at least one new term serv online this week to alleviate load, it too is 64bit and planned for Windows 2008.  My existing Pervasive Server is 9.5.   

Will a Pervasive 10 client work properly with a 9.5 server?   Will it work for btreive access as well?  Let me know what ya'll think.

TNGPicard
 

RE: Pervasive Client Versions

The v10 client for Btrieve access might work.  For ODBC/Relational access, probably won't work.  I believe the communications method was changed between v9 and v10 to facilitate full ODBC v3.5 support.

Now, the 9.5 client will work on a 64 bit OS.  In fact, the only part of v10 that's native 64 bit is the Btrieve engine and Btrieve client.  Unless you've got a 64 bit Btrieve app, your clients will still be 32 bit. You should really use the V9.5 client until you upgrade the server to v10.  Even then, using the v9.5 client to a v10 server is going to work better than a v10 client to a v9.5 server.   

Mirtheil
Certified Pervasive Developer
Certified Pervasive Technician
http://www.mirtheil.com

RE: Pervasive Client Versions

(OP)
Mirtheil,

I was under the impression that on Server 2008 I had to use v10.   Its not just a matter of a 64-bit OS....my new boxes I'm slating to run on Windows 2008 Standard since I fully intend to keep them well after Win 2k3 support stops.  am I under teh wrong impression about the client version I need?

TNGPicard

RE: Pervasive Client Versions

According to the Win2k8 KB on the Pervasive site (http://www.pervasive.com/kb/kb.asp?fx=getdetails&solid=00018076&title=Windows%20Server%202008%20Support%20Statement),
v9 hasn't been tested or certified on Windows 2008.  

It might work, but if it doesn't Pervasive won't fix it.  Because Windows 2008 is basically Vista, I wouldn't expect any issues with v9.5.  You might have problems with older versions but 9.5 should be okay.
 

Mirtheil
Certified Pervasive Developer
Certified Pervasive Technician
http://www.mirtheil.com

Red Flag This Post

Please let us know here why this post is inappropriate. Reasons such as off-topic, duplicates, flames, illegal, vulgar, or students posting their homework.

Red Flag Submitted

Thank you for helping keep Tek-Tips Forums free from inappropriate posts.
The Tek-Tips staff will check this out and take appropriate action.

Reply To This Thread

Posting in the Tek-Tips forums is a member-only feature.

Click Here to join Tek-Tips and talk with other members!

Resources

Close Box

Join Tek-Tips® Today!

Join your peers on the Internet's largest technical computer professional community.
It's easy to join and it's free.

Here's Why Members Love Tek-Tips Forums:

Register now while it's still free!

Already a member? Close this window and log in.

Join Us             Close